Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta.strats
Class HandlerCollectionTableFieldStrategy

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
          org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
              org.apache.openjpa.jdbc.meta.strats.ContainerFieldStrategy
                  org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy
                      kodo.jdbc.meta.strats.HandlerCollectionTableFieldStrategy

All Implemented Interfaces:
  Serializable, FieldStrategy, Strategy, LRSCollectionFieldStrategy

    public class HandlerCollectionTableFieldStrategy

extends StoreCollectionFieldStrategy
implements LRSCollectionFieldStrategy

Mapping for a collection of values in a separate table controlled by a `ValueHandler`.

Since:
  4.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
`field`

Constructor Summary
`HandlerCollectionTableFieldStrategy()`

Method Summary
`void` | `delete(OpenJPAStateManager sm, JDBCStore store, RowManager rm)`
`Column[]` | `getElementColumns(ClassMapping elem)`
`FieldMapping` | `getFieldMapping()`
`ClassMapping[]` | `getIndependentElementMappings(boolean traverse)`
`ForeignKey` | `getJoinForeignKey(ClassMapping elem)`
`void` | `initialize()`
`void` | `insert(OpenJPAStateManager sm, JDBCStore store, RowManager rm)`
`Joins` | `join(Joins joins, boolean forceOuter)`
`protected Joins` | `join(Joins joins, ClassMapping elem)`
`Joins` | `joinElementRelation(Joins joins, ClassMapping elem)`
`Joins` | `joinRelation(Joins joins, boolean forceOuter, boolean traverse)`
`Object` | `loadElement(OpenJPAStateManager sm, JDBCStore store, JDBCFetchConfiguration fetch, Result res, Joins joins)`
`void` | `map(boolean adapt)`
`protected Proxy` | `newLRSProxy()`
`void` | `selectElement(Select sel, ClassMapping elem, JDBCStore store, JDBCFetchConfiguration fetch, int eagerMode, Joins joins)`
`int` | `supportsSelect(Select sel, int type, OpenJPAStateManager sm, JDBCStore store, JDBCFetchConfiguration fetch)`
`Object` | `toDataStoreValue(Object val, JDBCStore store)`
`void` | `update(OpenJPAStateManager sm, JDBCStore store, RowManager rm)`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.StoreCollectionFieldStrategy
`add, getJoinForeignKey, isEagerSelectToMany, load, loadEagerJoin, loadEagerParallel, loadProjection, selectAll, selectEagerJoin, selectEagerParallel, toCollection`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.ContainerFieldStrategy
`appendIsEmpty, appendIsNotEmpty, appendIsNotNull, appendIsNull, appendJoinCount, appendSize, appendUnaliasedJoin`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
`assertNotMappedBy, isVersionable, joinKey, joinKeyRelation, load, loadKeyProjection, select, setFieldMapping, toKeyDataStoreValue, where`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
`customDelete, customInsert, customUpdate, getAlias, isCustomDelete, isCustomInsert, isCustomUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.jdbc.meta.FieldStrategy
`appendIsEmpty, appendIsNotEmpty, appendIsNotNull, appendIsNull, appendSize, isEagerSelectToMany, isVersionable, joinKey, joinKeyRelation, load, load, loadEagerJoin, loadEagerParallel, loadKeyProjection, loadProjection, select, selectEagerJoin, selectEagerParallel, setFieldMapping, toKeyDataStoreValue, where`

Methods inherited from interface org.apache.openjpa.jdbc.meta.Strategy
`customDelete, customInsert, customUpdate, getAlias, isCustomDelete, isCustomInsert, isCustomUpdate`

Constructor Detail

### HandlerCollectionTableFieldStrategy

    public HandlerCollectionTableFieldStrategy()

Method Detail

### getFieldMapping

    public FieldMapping getFieldMapping()

  Specified by:
    `getFieldMapping` in interface `LRSCollectionFieldStrategy`

### getIndependentElementMappings

    public ClassMapping[] getIndependentElementMappings(boolean traverse)

  Specified by:
    `getIndependentElementMappings` in interface `LRSCollectionFieldStrategy`
  Specified by:
    `getIndependentElementMappings` in class `ContainerFieldStrategy`

### getElementColumns

    public Column[] getElementColumns(ClassMapping elem)

  Specified by:
    `getElementColumns` in interface `LRSCollectionFieldStrategy`

### getJoinForeignKey

    public ForeignKey getJoinForeignKey(ClassMapping elem)

  Specified by:
    `getJoinForeignKey` in interface `LRSCollectionFieldStrategy`
  Specified by:
    `getJoinForeignKey` in class `StoreCollectionFieldStrategy`

### selectElement

    public void selectElement(Select sel,
                              ClassMapping elem,
                              JDBCStore store,
                              JDBCFetchConfiguration fetch,
                              int eagerMode,
                              Joins joins)

  Specified by:
    `selectElement` in interface `LRSCollectionFieldStrategy`
  Specified by:
    `selectElement` in class `StoreCollectionFieldStrategy`

### loadElement

    public Object loadElement(OpenJPAStateManager sm,
                              JDBCStore store,
                              JDBCFetchConfiguration fetch,
                              Result res,
                              Joins joins)
                       throws SQLException

  Specified by:
    `loadElement` in interface `LRSCollectionFieldStrategy`
  Specified by:
    `loadElement` in class `StoreCollectionFieldStrategy`
  Throws:
    `SQLException`

### join

    protected Joins join(Joins joins,
                         ClassMapping elem)

  Specified by:
    `join` in class `StoreCollectionFieldStrategy`

### joinElementRelation

    public Joins joinElementRelation(Joins joins,
                                     ClassMapping elem)

  Specified by:
    `joinElementRelation` in interface `LRSCollectionFieldStrategy`
  Specified by:
    `joinElementRelation` in class `StoreCollectionFieldStrategy`

### newLRSProxy

    protected Proxy newLRSProxy()

  Specified by:
    `newLRSProxy` in class `StoreCollectionFieldStrategy`

### map

    public void map(boolean adapt)

  Specified by:
    `map` in interface `Strategy`
  Overrides:
    `map` in class `AbstractStrategy`

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `Strategy`
  Overrides:
    `initialize` in class `AbstractStrategy`

### insert

    public void insert(OpenJPAStateManager sm,
                       JDBCStore store,
                       RowManager rm)
                throws SQLException

  Specified by:
    `insert` in interface `Strategy`
  Overrides:
    `insert` in class `AbstractStrategy`
  Throws:
    `SQLException`

### update

    public void update(OpenJPAStateManager sm,
                       JDBCStore store,
                       RowManager rm)
                throws SQLException

  Specified by:
    `update` in interface `Strategy`
  Overrides:
    `update` in class `AbstractStrategy`
  Throws:
    `SQLException`

### delete

    public void delete(OpenJPAStateManager sm,
                       JDBCStore store,
                       RowManager rm)
                throws SQLException

  Specified by:
    `delete` in interface `Strategy`
  Overrides:
    `delete` in class `AbstractStrategy`
  Throws:
    `SQLException`

### supportsSelect

    public int supportsSelect(Select sel,
                              int type,
                              OpenJPAStateManager sm,
                              JDBCStore store,
                              JDBCFetchConfiguration fetch)

  Specified by:
    `supportsSelect` in interface `FieldStrategy`
  Overrides:
    `supportsSelect` in class `StoreCollectionFieldStrategy`

### toDataStoreValue

    public Object toDataStoreValue(Object val,
                                   JDBCStore store)

  Specified by:
    `toDataStoreValue` in interface `FieldStrategy`
  Overrides:
    `toDataStoreValue` in class `AbstractFieldStrategy`

### join

    public Joins join(Joins joins,
                      boolean forceOuter)

  Specified by:
    `join` in interface `FieldStrategy`
  Overrides:
    `join` in class `AbstractFieldStrategy`

### joinRelation

    public Joins joinRelation(Joins joins,
                              boolean forceOuter,
                              boolean traverse)

  Specified by:
    `joinRelation` in interface `FieldStrategy`
  Overrides:
    `joinRelation` in class `AbstractFieldStrategy`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.